Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163141 - crond does not explicitly open file descriptor 0 if it is not available while startup
Summary: crond does not explicitly open file descriptor 0 if it is not available while...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: vixie-cron
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-13 13:15 UTC by Mustafa Mahudhawala
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version: vixie-cron-4.1-2_EL2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-28 11:39:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 145992 None None None Never

Description Mustafa Mahudhawala 2005-07-13 13:15:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
The result of crond not explicitly opening file descriptor 0, is that
the cronjobs inherit a closed fd 0 (stdin), which tends to be an issue
in some cases. eg. anacron invoked from /etc/cron.daily/0anacron fails with error 

anacron: Can't close stdin: Bad file descriptor

This issue is same as in bug #145992 reported and fixed against RHEL 3.

Version-Release number of selected component (if applicable):
vixie-cron-3.0.1-63.1

How reproducible:
Always

Steps to Reproduce:
Same as in BZ #145992

Additional info:

Comment 1 Mustafa Mahudhawala 2005-07-13 13:19:35 UTC
The patch provided in #145992 (just to address this issue) works fine here.

Comment 2 Jason Vas Dias 2005-07-27 21:44:18 UTC
I don't think this bug warrants an errata update for RHEL-2.1 .
Should customers require that this bug (and MANY others) be fixed, they
should install vixie-cron-4.1-2_EL2, available from:
  http://people.redhat.com/~jvdias/vixie-cron/RHEL-2.1/
This is on a CVS branch tag (not the head release) and is built in
dist-2.1-scratch .

Comment 3 Marcela Mašláňová 2006-08-28 11:39:12 UTC
It should work in vixie-cron-4.1-2_EL2. 
It's inactive one year, so I close it.


Note You need to log in before you can comment on or make changes to this bug.